using NodePipeline.Abstractions.Attributes;
using NodePipeline.Abstractions.Interfaces.Nodes;
using NodePipeline.Engine.CodeGeneration.Abstractions.Models;

namespace NodePipeline.Engine.Tests.CodeGeneratorTests.Fixtures.MockNodes;

[NodeType("NamedNode")]
public class SimpleNamedNode : INode
{
    public void Execute()
    {
        throw new NotImplementedException();
    }

    internal static NodeDescriptor GetDescriptor()
    {
        return new NodeDescriptor("NamedNode", true, typeof(SimpleNamedNode).FullName!,
            typeof(SimpleNamedNode).FullName!,
            [], true, null);
    }
}